{% load i18n admin_urls %}

{% load admin %}

<div class="submit-row">
  {% if show_save %}
    <input type="submit" value="{% trans 'Save' %}" class="btn btn-success" name="_save" />
  {% endif %}
  
  {% if show_goback_link %}
    <a href="/admin/{% settings_value "APP_NAME" %}/{{ opts.model_name }}" class="btn btn-info">Go Back</a>
  {% endif %}
  
  {% if show_delete_link %}
    {% url opts|admin_urlname:'delete' original.pk|admin_urlquote as delete_url %}
    <a href="{% add_preserved_filters delete_url %}" class="btn btn-danger">{% trans "Delete" %}</a>
  {% endif %}
  
  {% if show_save_as_new %}
    <input type="submit" value="{% trans 'Save as new' %}" class="btn btn-success" name="_saveasnew" />
  {% endif %}
  
  {% if show_save_and_add_another and protected_element != True %}
    <input type="submit" value="{% trans 'Save and add another' %}" class="btn btn-success" name="_addanother" />
  {% endif %}
  
  {% if show_save_and_continue %}
    <input type="submit" value="{% trans 'Save and continue editing' %}" class="btn btn-success" name="_continue" />
  {% endif %}
</div>